# -*- coding: utf-8 -*-
from setuphelpers import *


app_name = "LDAPAdmin"
app_dir = makepath(programfiles32, app_name)
app_path = makepath(app_dir, "LdapAdmin.exe")


def install():
    # Installing software
    zip_name = glob.glob("LdapAdminExe-w32-*.zip")[0]
    unzipped_dir = zip_name.split(".zip")[0]
    killalltasks(ensure_list(control.impacted_process))
    if isdir(app_dir) and force:
        remove_tree(app_dir)
    print("Extracting: %s to: %s" % (zip_name, app_dir))
    unzip(zip_name, unzipped_dir)
    copytree2(unzipped_dir, app_dir, onreplace=default_overwrite)

    # Creating custom shortcuts
    create_desktop_shortcut(app_name, target=app_path)
    create_programs_menu_shortcut(app_name, target=app_path)


def uninstall():
    # Uninstalling software
    killalltasks(ensure_list(control.impacted_process))
    if isdir(app_dir):
        remove_tree(app_dir)

    # Removing shortcuts
    remove_desktop_shortcut(app_name)
    remove_programs_menu_shortcut(app_name)
